#
# spec file for package perl-DBIx-DBSchema
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-DBIx-DBSchema
Version:        0.45
Release:        1.1
%define cpan_name DBIx-DBSchema
Summary:        Database-independent schema objects
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DBIx-DBSchema/
Source0:        http://www.cpan.org/authors/id/I/IV/IVAN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBI)
Requires:       perl(DBI)
%{perl_requires}

%description
DBIx::DBSchema objects are collections of DBIx::DBSchema::Table objects and
represent a database schema.

This module implements an OO-interface to database schemas. Using this
module, you can create a database schema with an OO Perl interface. You can
read the schema from an existing database. You can save the schema to disk
and restore it in a different process. You can write SQL CREATE statements
statements for different databases from a single source. You can transform
one schema to another, adding any necessary new columns, tables, indices
and foreign keys.

Currently supported databases are MySQL, PostgreSQL and SQLite. Sybase and
Oracle drivers are partially implemented. DBIx::DBSchema will attempt to
use generic SQL syntax for other databases. Assistance adding support for
other databases is welcomed. See the DBIx::DBSchema::DBD manpage, "Driver
Writer's Guide and Base Class".

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun May 10 2015 coolo@suse.com
- updated to 0.45
  see /usr/share/doc/packages/perl-DBIx-DBSchema/Changes
  0.45 Wed May  6 22:17:33 PDT 2015
  - MySQL does not support DEFAULT for TEXT/BLOB columns, closes: CPAN#58505
  - doc: Add repository information
  - fix SQLite reverse-engineering, closes: CPAN#95961
  - fix Pg reverse-engineering of foreign key MATCH/ON DELETE/ON UPDATE
    clauses
* Sat Jan  4 2014 lars@linux-schulserver.de
- update to 0.44:
  + POD fixes from Xavier Guimard <x.guimard@free.fr> and Damyan Ivanov
    <dmn@debian.org> of the Debian Perl Group, closes: CPAN#82187
  + More foreign key support
    ++ Table alteration (removing foreign keys)
    ++ Fix MATCH / ON DELETE / ON UPDATE
  + Incorporate CPAN::Changes::Spec-compliant Changes file from Neil Bowers
    <neilb@cpan.org>, closes: CPAN#90023, thanks!
  + Fix table creation broken by 0.42
  + Create/alter tables before foreign key changes
  + Basic foreign key support
    ++ table creation
    ++ table alteration (adding new foreign keys)
    ++ reverse-engineering (Pg driver)
  + consolidate multiple ADD/ALTER COLUMN statements into one ALTER TABLE
  + doc: sql_update_schema link to sql_add_column misspelled
  + Pg: fix mapping for DOUBLE PRECISION type to avoid needless alter cols
  + mysql: implement altering column types & lengths
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Mar 28 2010 lars@linux-schulserver.de
- update to 0.39:
  + mysql: TEXT->LONGTEXT
  + mysql: when reverse engineering, transform a default of
    CURRENT_TIMESTAMP into the more common NOW()
  + mysql: fix reverse-engineering of empty string default
  + prevent quoting around numeric defaults in Pg
  + Pg: use default_db_schema when adding SERIAL columns instead of
    hardcoding "public".
  + Pg: Initial support for handling changes to a column's type or size.
  + Case sensitivity fix for Slavin's patch to prevent quoting around
    numeric defaults in Pg.
  + Column default values: refactor handling, improve Pg reverse
    engineering and implement schema changes
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.36
